Bug 117227 - gnome-python2-bonobo missing depencies
gnome-python2-bonobo missing depencies
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-python2 (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
: 119454 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-01 15:21 EST by Mikko Paananen
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 13:35:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mikko Paananen 2004-03-01 15:21:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040209 Firefox/0.8

Description of problem:
$ python
Python 2.2.3 (#1, Oct 15 2003, 23:33:35)
[GCC 3.3.1 20030930 (Red Hat Linux 3.3.1-6)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gnome.ui
>>> quit
'Use Ctrl-D (i.e. EOF) to exit.'
>>>

$ sudo rpm -e gnome-python2-canvas
Password:
[Note that there's no warning or error on missing dependencies.]

$ python
Python 2.2.3 (#1, Oct 15 2003, 23:33:35)
[GCC 3.3.1 20030930 (Red Hat Linux 3.3.1-6)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gnome.ui
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
ImportError: could not import bonobo.ui
>>>

Version-Release number of selected component (if applicable):
gnome-python2-bonobo-2.0.0-2

How reproducible:
Always

Steps to Reproduce:
1. Install some software which uses gnome.ui with yum.
2. Yum installs some depencies.
3. Start software -> ImportError: could not import bonobo.ui


Actual Results:  Traceback (most recent call last):
  File "test.py", line 2, in ?
    import gnome.ui
ImportError: could not import bonobo.ui


Expected Results:  gnome-python2-bonobo should depend on
gnome-python2-canvas.


Additional info:
Comment 1 John Thacker 2006-04-22 00:58:40 EDT
*** Bug 119454 has been marked as a duplicate of this bug. ***
Comment 2 Matthew Miller 2006-07-11 13:43:52 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 3 John Thacker 2006-10-27 13:35:18 EDT
Closing per lack of response.  Also note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.